:::{php:namespace} Atk4\Data
:::

# Agile Data Documentation

Contents:

:::{toctree}
:maxdepth: 3

overview
quickstart
design
model
typecasting
persistence
results
fields
conditions
sql
static
references
expressions
joins
aggregates
hooks
deriving
advanced
extensions
persistence/csv
:::

# Agile DSQL Documentation

Contents:

:::{toctree}
:maxdepth: 3
:caption: DSQL

persistence/sql/overview
persistence/sql/quickstart
persistence/sql/connection
persistence/sql/expressions
persistence/sql/queries
persistence/sql/results
persistence/sql/transactions
persistence/sql/advanced
persistence/sql/extensions
:::

# Indices and tables

- {ref}`genindex`
- {ref}`search`
